Package org.firebirdsql.gds

## Enum ParameterBufferHelper.DpbValueType

- java.lang.Object
- - java.lang.Enum<ParameterBufferHelper.DpbValueType>
  - - org.firebirdsql.gds.ParameterBufferHelper.DpbValueType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ParameterBufferHelper.DpbValueType>`

Enclosing class:
  ParameterBufferHelper

    public static enum ParameterBufferHelper.DpbValueType
    extends java.lang.Enum<ParameterBufferHelper.DpbValueType>

Enum with the various Dpb value types, and conversion from String to that type.

### Enum Constant Summary

Enum Constants
`TYPE_BOOLEAN`
`TYPE_BYTE`
`TYPE_INT`
`TYPE_STRING`
`TYPE_UNKNOWN`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.Object` `parseDpbString​(java.lang.String value)` Parses the supplied Object (which should be a String, Boolean, Byte or Integer) to the type appropriate for this DpbValueType.
`static ParameterBufferHelper.DpbValueType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParameterBufferHelper.DpbValueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TYPE_UNKNOWN

    public static final ParameterBufferHelper.DpbValueType TYPE_UNKNOWN

#### TYPE_BOOLEAN

    public static final ParameterBufferHelper.DpbValueType TYPE_BOOLEAN

#### TYPE_BYTE

    public static final ParameterBufferHelper.DpbValueType TYPE_BYTE

#### TYPE_INT

    public static final ParameterBufferHelper.DpbValueType TYPE_INT

#### TYPE_STRING

    public static final ParameterBufferHelper.DpbValueType TYPE_STRING

### Method Detail

#### values

    public static ParameterBufferHelper.DpbValueType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParameterBufferHelper.DpbValueType c : ParameterBufferHelper.DpbValueType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParameterBufferHelper.DpbValueType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### parseDpbString

    public abstract java.lang.Object parseDpbString​(java.lang.String value)

Parses the supplied Object (which should be a String, Boolean, Byte or Integer) to the type appropriate for this DpbValueType.

Parameters:
  `value` - The value to parse
Returns:
  Parsed value (either a Boolean, Byte, Integer or String)